function [vysledek]     =   analysis(varargin)

%**************************************************************************

%parametry modelu (checknuty pomoci varargin, kdyz neni vstup, tak se daji hodnoty v ifu)
%duvod je jasny, je to proto aby se mohla funkce pustit i samostatne
if nargin<1
    p.h_left    =   0;%m
    p.l_left    =   30;%m

    p.h_right   =   0;%m
    p.l_right   =   50;%m

    p.b_bridge  =   20;%m
    p.h_bridge  =   0.5;%m
    p.r_left    =   2;%m
    p.r_right   =   2;%m
else
    p           =   varargin{1};
end

%**************************************************************************

%**************************************************************************

%samotna tvorba modelu a vypocet

d   =   model_data(p);%nacteni dat a rozmeru pro model do struktury d

built_model;     %vytisteni .proc souboru pro postaveni model

dos(['mentat ',d.model.name,'.proc -bg']);%spusteni mentatu pomoci systemoveho prikazu

dos(['run_marc -j ',d.model.name,' -b yes']);%spusteni vypoctu pomoci systemoveho prikazu

read_results    %vytisteni .proc souboru pro precteni vysledku z .t16 a vytisknuti tabulky

dos(['mentat ',d.model.read_results,'.proc -bg']);%spusteni mentatu pro precteni vysledku a vytisteni tabulky

%**************************************************************************
%pozn: prikaz dos provede prkaz z prikazove radky v systemu
%pokud nebudete mit napr. d.model.name jako promenou, ale nechate tyto
%nazvy natvrdo zadane, lze napsat napr. !mentat model.proc -bg a provede se
%to take (vykricnik tak trochu supluje prikaz dos)
%**************************************************************************

%nacteni vysledku z tabulky a jejich vizualizace (funkce loadmarctab vytvori strukturu a funguje univerzalne 
%i pro pripad, ze je v jednom souboru vice tabulek)
vysledek_zbytecne_veliky    =   loadmarctab([d.model.table,'.table']);

vysledek    =   vysledek_zbytecne_veliky.data(:,2);

