function built_model

if exist('d.mat','file')
    load d.mat
else
    disp('File d.mat does not exist! {built_model}')
    return
end

fid     =   fopen([d.model.proc,'.proc'],'wt');%otevreni souboru .proc pro textovy zapis

    %urychleni
    fprintf(fid,'*set_undo off\n');%vypnuti undo
    fprintf(fid,'*set_update off\n');%vypnuti update
    fprintf(fid,'*prog_option model:backup:partial\n');%zadny backup

    %vytvoreni noveho modelu
    fprintf(fid,['*change_directory ',strrep(d.model.directory,'\','/'),'\n']);%zmena adresare
    fprintf(fid,'*new_model yes\n');%novy model
    fprintf(fid,['*save_as_model ',d.model.name,'.mud yes\n']);%ulozeni noveho modelu jako model.mud
    
    %nakresleni mostu
    fprintf(fid,'*set_curve_type line\n');%typ krivky    
    fprintf(fid,'*add_curves\n');%pridat krivky
    %mostovka
    fprintf(fid,['point(',num2str(0),',',num2str(d.dimensions.h),',',num2str(0),')\n']);
    fprintf(fid,['point(',num2str(d.dimensions.l),',',num2str(d.dimensions.h),',',num2str(0),')\n']);
    %leva podpera
    fprintf(fid,['point(',num2str(d.dimensions.xl),',',num2str(d.dimensions.phl),',',num2str(0),')\n']);
    fprintf(fid,['point(',num2str(d.dimensions.pll),',',num2str(d.dimensions.h),',',num2str(0),')\n']);
    %prava podpera
    fprintf(fid,['point(',num2str(d.dimensions.l-d.dimensions.plr),',',num2str(d.dimensions.h),',',num2str(0),')\n']);
    fprintf(fid,['point(',num2str(d.dimensions.xr),',',num2str(d.dimensions.phr),',',num2str(0),')\n']);    
    
    %rozeseknuti krivek, tak aby byl uzel v miste styku mostovky a podper
    fprintf(fid,'*intersect_curves\n');%preriznuti krivek
    fprintf(fid,'all_existing\n');%vsechny krivky    
    
    %checknuti geometrie a vymeshovani
    fprintf(fid,'*set_curve_div_type_fix_avgl\n');
    fprintf(fid,'*check_curves\n');
    fprintf(fid,'all_existing\n');
    fprintf(fid,'*set_curve_div_avgl\n');
    fprintf(fid,[num2str(d.mesh.a_mkp),'\n']);%po jake delce se maji pridat uzly    
    fprintf(fid,'*apply_curve_divisions\n');
    fprintf(fid,'all_existing\n');
    fprintf(fid,'*mesh_curves\n');%vymeshovani krivek
    fprintf(fid,'all_existing\n');
    
    %smazani duplicitnich a zbytecnych uzlu, bodu ...
    fprintf(fid,'*set_sweep_tolerance\n');
    fprintf(fid,[num2str(d.mesh.a_mkp/10),'\n']);
    fprintf(fid,'*sweep_all\n');
    fprintf(fid,'*remove_unused_nodes\n');
    fprintf(fid,'*remove_unused_points\n');
   
    %smazani geometrie a precislovani
    fprintf(fid,'*clear_geometry\n');
    fprintf(fid,'*renumber_all\n');
    
    %vyrobeni setu mostovka, leva_podpera, prava_podpera 
    %(i nazvy setu lze zadat jako promene do struktury d a zacyklit to, ale to uz se mi nechce ;o))
    
    %mostovka
    fprintf(fid,'*set_curve_type line\n');
    fprintf(fid,'*add_curves\n');
    fprintf(fid,['point(',num2str(0),',',num2str(d.dimensions.h),',',num2str(0),')\n']);
    fprintf(fid,['point(',num2str(d.dimensions.l),',',num2str(d.dimensions.h),',',num2str(0),')\n']);
    fprintf(fid,'*select_method_curve_dist\n');%vyber elementu pomoci krivky
    fprintf(fid,'*set_select_distance\n');
    fprintf(fid,[num2str(d.mesh.a_mkp/10),'\n']);%jak daleko od krivky se maji vybirat elementy
    fprintf(fid,'*select_elements\n');
    fprintf(fid,'1\n');
    fprintf(fid,'*store_elements mostovka\n');%ulozeni prvku
    fprintf(fid,'all_selected\n');
    fprintf(fid,'*select_reset\n');
    fprintf(fid,'*select_clear\n');
    
    %smazani geometrie a precislovani
    fprintf(fid,'*clear_geometry\n');
    fprintf(fid,'*renumber_all\n');    
    
    %leva podpera
    fprintf(fid,'*set_curve_type line\n');
    fprintf(fid,'*add_curves\n');
    fprintf(fid,['point(',num2str(d.dimensions.xl),',',num2str(d.dimensions.phl),',',num2str(0),')\n']);
    fprintf(fid,['point(',num2str(d.dimensions.pll),',',num2str(d.dimensions.h),',',num2str(0),')\n']);
    fprintf(fid,'*select_method_curve_dist\n');
    fprintf(fid,'*set_select_distance\n');
    fprintf(fid,[num2str(d.mesh.a_mkp/10),'\n']);
    fprintf(fid,'*select_elements\n');
    fprintf(fid,'1\n');
    fprintf(fid,'*store_elements leva_podpera\n');
    fprintf(fid,'all_selected\n');
    fprintf(fid,'*select_reset\n');
    fprintf(fid,'*select_clear\n');
    
    %smazani geometrie a precislovani
    fprintf(fid,'*clear_geometry\n');
    fprintf(fid,'*renumber_all\n');    
    
    %prava podpera
    fprintf(fid,'*set_curve_type line\n');
    fprintf(fid,'*add_curves\n');
    fprintf(fid,['point(',num2str(d.dimensions.xr),',',num2str(d.dimensions.phr),',',num2str(0),')\n']);
    fprintf(fid,['point(',num2str(d.dimensions.l-d.dimensions.plr),',',num2str(d.dimensions.h),',',num2str(0),')\n']);
    fprintf(fid,'*select_method_curve_dist\n');
    fprintf(fid,'*set_select_distance\n');
    fprintf(fid,[num2str(d.mesh.a_mkp/10),'\n']);
    fprintf(fid,'*select_elements\n');
    fprintf(fid,'1\n');
    fprintf(fid,'*store_elements prava_podpera\n');
    fprintf(fid,'all_selected\n');
    fprintf(fid,'*select_reset\n');
    fprintf(fid,'*select_clear\n');    
    
    %geometrie
    %mostovka
    fprintf(fid,'*new_geometry\n');
    fprintf(fid,'*geometry_name\n');
    fprintf(fid,'mostovka\n');    
    fprintf(fid,'*geometry_type mech_three_beam_ela\n');
    fprintf(fid,'*geometry_option section_props:calculated\n');
    fprintf(fid,'*geometry_option solid_sect:rectangular\n');
    fprintf(fid,'*geometry_param dimension_a\n');
    fprintf(fid,[num2str(d.dimensions.b_bridge),'\n']);
    fprintf(fid,'*geometry_param dimension_b\n');
    fprintf(fid,[num2str(d.dimensions.h_bridge),'\n']);
    fprintf(fid,'*add_geometry_elements\n');
    fprintf(fid,'mostovka\n');
    %leva podpery
    fprintf(fid,'*new_geometry\n');
    fprintf(fid,'*geometry_name\n');
    fprintf(fid,'leva_podpera\n');
    fprintf(fid,'*geometry_type mech_three_beam_ela\n');
    fprintf(fid,'*geometry_option solid_sect:circular\n');
    fprintf(fid,'*geometry_param diameter\n');
    fprintf(fid,[num2str(d.dimensions.r_left),'\n']);
    fprintf(fid,'*add_geometry_elements\n');
    fprintf(fid,'leva_podpera\n');    
    %prava podpery
    fprintf(fid,'*new_geometry\n');
    fprintf(fid,'*geometry_name\n');
    fprintf(fid,'prava_podpera\n');
    fprintf(fid,'*geometry_type mech_three_beam_ela\n');
    fprintf(fid,'*geometry_option solid_sect:circular\n');
    fprintf(fid,'*geometry_param diameter\n');
    fprintf(fid,[num2str(d.dimensions.r_right),'\n']);
    fprintf(fid,'*add_geometry_elements\n');
    fprintf(fid,'prava_podpera\n');    

    %smazani geometrie a precislovani
    fprintf(fid,'*clear_geometry\n');
    fprintf(fid,'*renumber_all\n');
    
    fprintf(fid,'*new_mater standard *mater_option general:state:solid\n');
    fprintf(fid,'*mater_name\n');
    fprintf(fid,'material\n');
    fprintf(fid,'*mater_param general:mass_density\n');
    fprintf(fid,[num2str(d.material.rho),'\n']);
    fprintf(fid,'*mater_param structural:youngs_modulus\n');
    fprintf(fid,[num2str(d.material.E),'\n']);
    fprintf(fid,'*mater_param structural:poissons_ratio\n');
    fprintf(fid,[num2str(d.material.nu),'\n']);
    fprintf(fid,'*add_mater_elements\n');
    fprintf(fid,'all_existing\n'); 
    
    %okrajove podminky
    %mostovka vlevo
    fprintf(fid,'*select_method_point_dist\n');
    fprintf(fid,'*set_select_distance\n');
    fprintf(fid,[num2str(d.mesh.a_mkp/10),'\n']);
    fprintf(fid,'*select_nodes\n');
    fprintf(fid,[num2str(0),' ',num2str(d.dimensions.h),' ',num2str(0),'\n']);
    fprintf(fid,'*new_apply\n');
    fprintf(fid,'*apply_name\n');
    fprintf(fid,'mostovka_vlevo\n');
    fprintf(fid,'*apply_type fixed_displacement\n');
    fprintf(fid,'*apply_dof y *apply_dof_value y\n');
    fprintf(fid,'*apply_dof z *apply_dof_value z\n');
    fprintf(fid,'*add_apply_nodes\n');
    fprintf(fid,'all_selected\n');
    fprintf(fid,'*select_reset\n');
    fprintf(fid,'*select_clear\n');
    %mostovka vpravo
    fprintf(fid,'*select_method_point_dist\n');
    fprintf(fid,'*set_select_distance\n');
    fprintf(fid,[num2str(d.mesh.a_mkp/10),'\n']);
    fprintf(fid,'*select_nodes\n');
    fprintf(fid,[num2str(d.dimensions.l),' ',num2str(d.dimensions.h),' ',num2str(0),'\n']);
    fprintf(fid,'*new_apply\n');
    fprintf(fid,'*apply_name\n');
    fprintf(fid,'mostovka_vpravo\n');
    fprintf(fid,'*apply_type fixed_displacement\n');
    fprintf(fid,'*apply_dof y *apply_dof_value y\n');
    fprintf(fid,'*apply_dof z *apply_dof_value z\n');
    fprintf(fid,'*add_apply_nodes\n');
    fprintf(fid,'all_selected\n');
    fprintf(fid,'*select_reset\n');
    fprintf(fid,'*select_clear\n');
    %podpora vlevo
    fprintf(fid,'*select_method_point_dist\n');
    fprintf(fid,'*set_select_distance\n');
    fprintf(fid,[num2str(d.mesh.a_mkp/10),'\n']);
    fprintf(fid,'*select_nodes\n');
    fprintf(fid,[num2str(d.dimensions.xl),' ',num2str(d.dimensions.phl),' ',num2str(0),'\n']);
    fprintf(fid,'*new_apply\n');
    fprintf(fid,'*apply_name\n');
    fprintf(fid,'podpora_vlevo\n');
    fprintf(fid,'*apply_type fixed_displacement\n');
    fprintf(fid,'*apply_dof x *apply_dof_value x\n');    
    fprintf(fid,'*apply_dof y *apply_dof_value y\n');
    fprintf(fid,'*apply_dof z *apply_dof_value z\n');
    fprintf(fid,'*apply_dof rx *apply_dof_value rx\n');    
    fprintf(fid,'*apply_dof ry *apply_dof_value ry\n');
    fprintf(fid,'*apply_dof rz *apply_dof_value rz\n');    
    fprintf(fid,'*add_apply_nodes\n');
    fprintf(fid,'all_selected\n');
    fprintf(fid,'*select_reset\n');
    fprintf(fid,'*select_clear\n'); 
    %podpora vpravo
    fprintf(fid,'*select_method_point_dist\n');
    fprintf(fid,'*set_select_distance\n');
    fprintf(fid,[num2str(d.mesh.a_mkp/10),'\n']);
    fprintf(fid,'*select_nodes\n');
    fprintf(fid,[num2str(d.dimensions.xr),' ',num2str(d.dimensions.phr),' ',num2str(0),'\n']); 
    fprintf(fid,'*new_apply\n');
    fprintf(fid,'*apply_name\n');
    fprintf(fid,'podpora_vpravo\n');
    fprintf(fid,'*apply_type fixed_displacement\n');
    fprintf(fid,'*apply_dof x *apply_dof_value x\n');    
    fprintf(fid,'*apply_dof y *apply_dof_value y\n');
    fprintf(fid,'*apply_dof z *apply_dof_value z\n');
    fprintf(fid,'*apply_dof rx *apply_dof_value rx\n');    
    fprintf(fid,'*apply_dof ry *apply_dof_value ry\n');
    fprintf(fid,'*apply_dof rz *apply_dof_value rz\n');    
    fprintf(fid,'*add_apply_nodes\n');
    fprintf(fid,'all_selected\n');
    fprintf(fid,'*select_reset\n');
    fprintf(fid,'*select_clear\n');
    
    %smazani geometrie a precislovani
    fprintf(fid,'*clear_geometry\n');
    fprintf(fid,'*renumber_all\n');    
    
    %lodcase a job
    fprintf(fid,'*new_loadcase *loadcase_type struc:dyn_modal\n');
    fprintf(fid,'*loadcase_name\n');
    fprintf(fid,'modalka\n');    
    fprintf(fid,'*loadcase_value nmodes\n');
    fprintf(fid,[num2str(d.no_modal_freq),'\n']);
    fprintf(fid,'*add_job_loadcases modalka\n');
    
    %smazani geometrie a precislovani
    fprintf(fid,'*clear_geometry\n');
    fprintf(fid,'*renumber_all\n');

    %nakresleni sten kanonu, jen tak pro efekt
    fprintf(fid,'*set_curve_type line\n');
    fprintf(fid,'*add_curves\n');    
    %leva stena
    fprintf(fid,['point(',num2str(0),',',num2str(d.dimensions.h),',',num2str(0),')\n']);
    fprintf(fid,['point(',num2str(d.dimensions.a),',',num2str(0),',',num2str(0),')\n']);
    %prava stena
    fprintf(fid,['point(',num2str(d.dimensions.l),',',num2str(d.dimensions.h),',',num2str(0),')\n']);
    fprintf(fid,['point(',num2str(d.dimensions.l-d.dimensions.b),',',num2str(0),',',num2str(0),')\n']);    
    
    %vytiskne .dat soubor
    fprintf(fid,['*write_marc ',d.model.name,'.dat yes\n']);

    %ulozi model
    fprintf(fid,'*save_model\n');
    
    %vytisteni obrazku
    fprintf(fid,'*draw_beams_3d on\n');
    fprintf(fid,'*elements_solid\n');
    fprintf(fid,'*regenerate\n');
    fprintf(fid,'*fill_view\n');
    fprintf(fid,'*rot_model_cspace_x_for\n');
    fprintf(fid,'*rot_model_cspace_y_rev\n');
    fprintf(fid,'*rot_model_cspace_y_rev\n');
    fprintf(fid,'*rot_model_cspace_y_rev\n');
    fprintf(fid,['*image_save_gif 1 ',d.model.figure_pre,'.gif yes\n']);    
    
    %vyskoci z mentatu
    fprintf(fid,'*quit yes\n');  
    
fclose(fid);%uzavreni vypisu .proc souboru
