function d  =   model_data(varargin)

%parametry modelu (checknuty pomoci varargin, kdyz neni vstup, tak se daji hodnoty v ifu)
%duvod je jasny, je to proto aby se mohla funkce pustit i samostatne
if nargin<1
    p.h_left    =   0;%m
    p.l_left    =   30;%m

    p.h_right   =   0;%m
    p.l_right   =   50;%m

    p.b_bridge  =   20;%m
    p.h_bridge  =   0.5;%m
    p.r_left    =   2;%m
    p.r_right   =   2;%m
else
    p           =   varargin{1};
end

%nazev modelu apod.
d.model.name            =   'model';%jmeno .mud souboru
d.model.directory       =   cd;%pracovni adresar
d.model.proc            =   'model';%jmeno .proc souboru pro vytvoreni modelu
d.model.read_results    =   'read_results';%jmeno .proc souboru pro cteni vysledku
d.model.table           =   'freq';%jmeno souboru s vystupni tabulkou
d.model.figure_pre      =   'figure_pre';%jmeno obrazku mostu
d.model.figure_post     =   'figure_post';%jemno obrazku s prvni vlastni frekvenci ve vysledku

%rozmery modelu
d.dimensions.phl        =   p.h_left;%m
d.dimensions.pll        =   p.l_left;%m
d.dimensions.phr        =   p.h_right;%m
d.dimensions.plr        =   p.l_right;%m

d.dimensions.b_bridge   =   p.b_bridge;%m
d.dimensions.h_bridge   =   p.h_bridge;%m
d.dimensions.r_left     =   p.r_left;%m
d.dimensions.r_right    =   p.r_right;%m

d.dimensions.l          =   125;%m - delka mostu
d.dimensions.h          =   45;%m - vyska mostu od "hladiny reky"
d.dimensions.a          =   10;%m - parametr sklonu leveho svahu
d.dimensions.b          =   60;%m - parametr sklonu praveho svahu

%vypocty pro urceni mista doteku podpor a svahu prurvy
d.dimensions.alpha      =   atan(d.dimensions.h/d.dimensions.a);
d.dimensions.beta       =   atan(d.dimensions.h/d.dimensions.b);
d.dimensions.alphad     =   atand(d.dimensions.h/d.dimensions.a);
d.dimensions.betad      =   atand(d.dimensions.h/d.dimensions.b);
d.dimensions.kl         =   -d.dimensions.h/d.dimensions.a;
d.dimensions.ql         =   d.dimensions.h;
d.dimensions.kr         =   d.dimensions.h/d.dimensions.b;
d.dimensions.qr         =   -(d.dimensions.h/d.dimensions.b)*(d.dimensions.l-d.dimensions.b);

d.dimensions.xl         =   (d.dimensions.phl-d.dimensions.ql)/d.dimensions.kl;%m - vzdalenost mista doteku podper a svahu vlevo od leveho konce mostovky
d.dimensions.xr         =   (d.dimensions.phr-d.dimensions.qr)/d.dimensions.kr;%m - vzdalenost mista doteku podper a svahu vpravo od leveho konce mostovky

%materialova data
d.material.rho          =   7860;%kg/m^3 - Hustota oceli
d.material.E            =   210e9;%Pa - Modul pruznosti oceli
d.material.nu           =   0.3;% - Poissonovo cislo oceli

%data k vytvoreni site a analyzy
d.mesh.a_mkp            =   5;%m - Velikost prvku
d.no_modal_freq         =   3;% pocet vlastnich frekvenci

save('d.mat','d');